#
# spec file for package apparmor-provider-control (Version 1.0.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx blocxx-devel bzip2 cim-schema coreutils cpio cpp cracklib curl cvs cyrus-sasl db dejagnu diffutils docbook-xsl-stylesheets docbook_4 doxygen e2fsprogs expat expat-32bit expect file filesystem fillup findutils flex fontconfig-32bit fop freetype2-32bit gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv java-1_4_2-sun jpackage-utils klogd less libacl libapr-util1 libapr1 libattr libcom_err libgcc libgcrypt libgpg-error libidn libnscd libpng libstdc++ libstdc++-devel libtool libxcrypt libxml2 libxslt libzio limal limal-apparmor-control limal-apparmor-control-devel limal-devel limal-devtools m4 make man mktemp module-init-tools ncurses ncurses-devel neon net-tools netcfg openldap2-client openslp openssl openwbem openwbem-devel pam pam-modules patch pcre pcre-devel perl perl-Config-IniFiles perl-XML-Writer perl-gettext permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline recode rpm sed sgml-skel strace subversion swig sysvinit tar tcl tcpd texinfo timezone unzip util-linux vim xorg-x11-libs-32bit zlib zlib-32bit zlib-devel

Name:           apparmor-provider-control
BuildRequires:  curl gcc-c++ limal-apparmor-control-devel limal-devel limal-devtools openwbem-devel perl-gettext sgml-skel
URL:            http://forge.novell.com/modules/xfmod/project/?apparmor
%define novellprefix /usr
%define novelllocalstatedir /var/lib/openwbem
%define novellsysconfdir /etc/openwbem
Version:        1.0.0
Release:        15.2
Group:          System/Management
Summary:        Openwbem CIM provider for AppArmor that exports management interface for enabling/disabling the AppArmor service.
PreReq:         /usr/bin/loadmof.sh, coreutils
License:        GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
AutoReqProv: yes
Requires:       openwbem
Requires:       limal-apparmor-control
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}-mof.tar.bz2

%description
Openwbem CIM provider for AppArmor that exports management interface
for enabling/disabling the AppArmor service.



Authors:
--------
    mbarringer@suse.de

%debug_package
%prep
# Untar the sources. 
%setup 

%build
# If the LD_RUN_PATH environment variable is set at link time, 
# it's value is embedded in the resulting binary.  At run time, 
# The binary will look here first for shared libraries.  This way
# we link against the libraries we want at run-time even if libs
# by the same name are in /usr/lib or some other path in /etc/ld.so.conf
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-L%{_libdir}/limal" ./configure --prefix=%{novellprefix} \
        --libdir=%{_libdir} 
make %{?jobs:-j%jobs}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir} -p $RPM_BUILD_ROOT
# Tell 'make install' to install into the BuildRoot
make DESTDIR=$RPM_BUILD_ROOT install
MOFDIR=$RPM_BUILD_ROOT/%{novellprefix}/share/mof/%{name}
install -d $MOFDIR
tar jxv -C $MOFDIR -f %{S:1}
%{__rm} -f $RPM_BUILD_ROOT%{novellprefix}/%_lib/openwbem/c++providers/*.{a,la}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
# put /opt/novell/lib in ld.so.conf
#if ! grep -q '^/opt/novell/lib$' /etc/ld.so.conf; then
#       echo "/opt/novell/lib" >> /etc/ld.so.conf
#fi
# Any RPM that installs a shared library into any directory
# listed in /etc/ld.so.conf (or into /usr/lib if it hasn't been
# fixed yet to install into the correct FHS compliant paths) 
# must run ldconfig in its post install script. 
%run_ldconfig
# load MOF 
MOFDIR=%{novellprefix}/share/mof/%{name}
loadmof.sh -v -n root/cimv2 $MOFDIR/apparmor-provider-control.mof

%preun
# if -e operation, not -U 
if [ "x$1" = "x0" ]; then
  MOFDIR=%{novellprefix}/share/mof/%{name}
  rmmof.sh -n root/cimv2 \
	$MOFDIR/apparmor-provider-control.mof
fi

%postun
%run_ldconfig

%files
%defattr(-,root,root
%{novellprefix}/%_lib/openwbem/c++providers/*.so*
%dir %{novellprefix}/share/mof/%{name}
%{novellprefix}/share/mof/%{name}/*

%changelog -n apparmor-provider-control
* Tue Apr 04 2006 - mbarringer@suse.de
- Fixing bug 163106, related to MOF loading problem.  Just needed
  a specfile change.  Also changed the schema to use
  CIM_UnitaryComputerSystem rather than Novell_
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 - mbarringer@suse.de
- created package (version 1.0.0)
